%define module	virtualenv

Name:		python-%{module}
Version:	13.1.2
Release:	%mkrel 2
Summary:	Virtual Python Environment builder
Group:		Development/Python
License:	MIT
URL:		https://www.virtualenv.org/
Source0:	https://pypi.python.org/packages/source/v/%{module}/%{module}-%{version}.tar.gz
Patch0:     virtualenv-1.10.1-mga-fix_inc_dir.patch
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
BuildRequires:	python3-setuptools
BuildRequires:  python3-sphinx
Requires:	python-pkg-resources

%description
virtualenv is a tool to create isolated Python environments.


%package -n     python3-virtualenv
Summary:        Tool to create isolated Python environments
Group:          Development/Python
Requires:       python3-setuptools
Requires:       python3-pkg-resources


%description -n python3-virtualenv
virtualenv is a tool to create isolated Python environments. virtualenv
is a successor to workingenv, and an extension of virtual-python. It is
written by Ian Bicking, and sponsored by the Open Planning Project. It is
licensed under an MIT-style permissive license

%prep
%setup -q -n %{module}-%{version}
%patch0 -p0
%{__sed} -i -e "1s|#!/usr/bin/env python||" virtualenv.py 
cp -a . %{py3dir}


%build
%py2_build
%{__python2} setup.py build_sphinx
rm -f build/sphinx/html/.buildinfo

pushd %{py3dir}
%py3_build
%{__python3} setup.py build_sphinx
rm -f build/sphinx/html/.buildinfo
popd


%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/virtualenv %{buildroot}/%{_bindir}/py3-virtualenv
popd

%py2_install


%files
%doc PKG-INFO AUTHORS.txt LICENSE.txt
%doc build/sphinx/*
%{python2_sitelib}/virtualenv*
%{_bindir}/virtualenv
%{_bindir}/virtualenv-%{python2_version}


%files -n python3-virtualenv
%doc PKG-INFO AUTHORS.txt LICENSE.txt
%doc build/sphinx/*
%{_bindir}/py3-virtualenv
%{_bindir}/virtualenv-%{python3_version}
%{python3_sitelib}/*


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 13.1.2-2.mga6
+ Revision: 972467
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 philippem <philippem> 13.1.2-1.mga6
+ Revision: 898708
- update to 13.1.2, add Python3

* Tue Apr 28 2015 philippem <philippem> 12.1.1-2.mga5
+ Revision: 820818
- update to 12.1.1 fix mga#15748

* Wed Oct 15 2014 umeabot <umeabot> 1.11.6-5.mga5
+ Revision: 745816
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.11.6-4.mga5
+ Revision: 729961
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.11.6-3.mga5
+ Revision: 688408
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 philippem <philippem> 1.11.6-2.mga5
+ Revision: 632670
- revert to Python 2.7 by default to not break firefox, thunderbird, iceape and wine-gecko builds

* Tue Jun 03 2014 philippem <philippem> 1.11.6-1.mga5
+ Revision: 632664
- update to 1.11.6, Python 3.4 by default

  + pterjan <pterjan>
    - Rebuild for new Python

* Sun Dec 01 2013 philippem <philippem> 1.10.1-6.mga4
+ Revision: 554548
- change-match_hostname-to-follow-RFC-6125 (mga#11785)

* Tue Oct 22 2013 umeabot <umeabot> 1.10.1-5.mga4
+ Revision: 544426
- Mageia 4 Mass Rebuild

* Mon Oct 21 2013 philippem <philippem> 1.10.1-4.mga4
+ Revision: 539206
- fix inc_dir

* Tue Oct 15 2013 pterjan <pterjan> 1.10.1-3.mga4
+ Revision: 499706
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Sep 06 2013 philippem <philippem> 1.10.1-2.mga4
+ Revision: 475526
- bump release to have clean upgrade path from mga3 after the upgrade for security reason in mga2 and mga3

* Thu Aug 08 2013 philippem <philippem> 1.10.1-1.mga4
+ Revision: 464597
- Update to 1.10.1

* Mon Jul 29 2013 philippem <philippem> 1.10-1.mga4
+ Revision: 460644
- Update to 1.10

* Mon Jun 03 2013 kharec <kharec> 1.9.1-1.mga4
+ Revision: 436201
- New version 1.9.1
- Drop P0, it was applied upstream

* Sun Jan 13 2013 umeabot <umeabot> 1.7.1.2-4.mga3
+ Revision: 379674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 lebedov <lebedov> 1.7.1.2-3.mga3
+ Revision: 296929
- Remove python-devel install requirement (#4481).

* Fri Aug 03 2012 tv <tv> 1.7.1.2-2.mga3
+ Revision: 278204
- better upstream fix for multiarch (fix firefox15 build)

* Tue May 29 2012 lebedov <lebedov> 1.7.1.2-1.mga3
+ Revision: 249516
- Update to 1.7.1.2.
  Don't set PYTHONDONTWRITEBYTECODE (#3358).

* Wed Nov 30 2011 lebedov <lebedov> 1.7-1.mga2
+ Revision: 174425
- Update to 1.7.

* Mon Sep 26 2011 lebedov <lebedov> 1.6.4-2.mga2
+ Revision: 148995
- imported package python-virtualenv

